import React from 'react';
import { BuilderElement } from '@builder.io/sdk';
import { Size } from '../constants/device-sizes.constant';
export interface BuilderBlockProps {
    fieldName?: string;
    block: BuilderElement;
    child?: boolean;
    index?: number;
    size?: Size;
    emailMode?: boolean;
    ampMode?: boolean;
}
interface BuilderBlocksState {
    state: any;
    update: Function;
}
export declare class BuilderBlock extends React.Component<BuilderBlockProps> {
    private _errors?;
    private _logs?;
    private privateState;
    stringToFunction(str: string, expression?: boolean): Function;
    get styles(): Pick<any, string | number | symbol>;
    componentDidMount(): void;
    getElement(index?: number, state?: any): React.ReactNode;
    get id(): string;
    contents(state: BuilderBlocksState): {} | null | undefined;
    render(): JSX.Element;
}
export {};
